Update instance config
Replaces the entire instance configuration. Used primarily for profile import operations. For individual setting changes, use UpdateInstanceConfigEntry instead.
Replaces the entire instance configuration. Used primarily for profile import operations. For individual setting changes, use UpdateInstanceConfigEntry instead.
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
id*string
The unique identifier (UUID) of the instance to update.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
config.settings.namespace*string
config.settings.entries.key*string
config.settings.entries.value*
config.accounts.type*
config.accounts.profile_id*string
config.accounts.last_known_name*string
config.accounts.online_chain_java_data.auth_chain*
config.accounts.bedrock_data.auth_chain*
config.accounts.online_simple_java_data.access_token*string
config.accounts.online_simple_java_data.expire_time_ms*integer
Format
int64config.accounts.config.namespace*string
config.accounts.config.entries.key*string
config.accounts.config.entries.value*
config.accounts.persistent_metadata.namespace*string
config.accounts.persistent_metadata.entries.key*string
config.accounts.persistent_metadata.entries.value*
config.proxies.type*
config.proxies.address*string
config.proxies.username?string
config.proxies.password?string
config.persistent_metadata.namespace*string
config.persistent_metadata.entries.key*string
config.persistent_metadata.entries.value*
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "http://127.0.0.1:38765/v1/instances/:id/config" \ -H "Content-Type: application/json" \ -d '{ "config.settings.namespace": "string", "config.settings.entries.key": "string", "config.settings.entries.value": {}, "config.accounts.type": {}, "config.accounts.profile_id": "string", "config.accounts.last_known_name": "string", "config.accounts.online_chain_java_data.auth_chain": {}, "config.accounts.bedrock_data.auth_chain": {}, "config.accounts.online_simple_java_data.access_token": "string", "config.accounts.online_simple_java_data.expire_time_ms": 0, "config.accounts.config.namespace": "string", "config.accounts.config.entries.key": "string", "config.accounts.config.entries.value": {}, "config.accounts.persistent_metadata.namespace": "string", "config.accounts.persistent_metadata.entries.key": "string", "config.accounts.persistent_metadata.entries.value": {}, "config.proxies.type": {}, "config.proxies.address": "string", "config.persistent_metadata.namespace": "string", "config.persistent_metadata.entries.key": "string", "config.persistent_metadata.entries.value": {} }'{}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}How is this page?